/*
 * ChannelMap.h: ChannelMap
 *
 * See the README file for copyright information and how to reach the author.
 *
 * The following table maps http://tvtv.de channel names into Astra 19.2E PIDs.
 * It is incomplete. Contributions welcome.
 *
 * This List is From Carsten.Koch@icem.de (Thanks)
 */

#ifndef _CHANNELMAP__H
#define _CHANNELMAP__H

typedef struct
{
    const char * tvtv_name;
    unsigned short pnr;
} channel_map_entry;

static const channel_map_entry channel_map[] =
{
//   Deutschsprachig
{"13th Street", 42},
{"3sat", 28007},
{"ARTE", 28109},
{"RBB Berlin", 28206},
{"BR3", 28107},
{"BR-alpha", 28112},
{"ARD", 28106},
{"Discovery", 14},
{"Disney Channel", 34},
{"Eins Extra", 28201},
{"Eins Festival", 28202},
{"Eins MuXx", 28203},
{"HR", 28108},
{"Junior", 19},
{"Kabel 1", 899},
{"KiKa", 28008},
{"Krimi&amp;Co", 23},
{"K-Toon", 12},
{"Liberty TV.com", 12199},
{"MDR", 28204},
{"NDR Fernsehen", 28224},
{"NEUN LIVE", 897},
{"RBB Brandenburg", 28205},
{"ORF1", 13001},
{"ORF2", 13002},
{"Phoenix", 28114},
{"Planet", 13},
{"Premiere 1", 10},
{"Premiere 2", 11},
{"Premiere 3", 43},
{"Premiere 4", 9},
{"Premiere 5", 29},
{"Premiere 6", 41},
{"Premiere 7", 20},
{"Premiere Direkt 1", 177},
{"Premiere Direkt 2", 176},
{"Premiere Direkt 3", 180},
{"Premiere Direkt 4", 18},
{"Premiere Nostalgie", 516},
{"Premiere Serie", 16},
{"Premiere Start", 8},
{"ProSieben", 898},
{"RTL", 12003},
{"RTL2", 12020},
{"SAT.1", 46},
{"SeaSonS", 33},
{"SR", 28110},
{"SCI FI", 36},
{"MGM", 515},
{"Sunset", 16},
{"Super RTL", 12040},
{"Test-Z1", 28305},
{"TW1", 13013},
{"Via 1 - Schner Reise", 44},
{"VOX", 12060},
{"WDR", 28111},
{"ZDF", 28006},
{"ZDF.doku", 28014},
{"ZDF.info", 28011},
//  Movies
{"AXN", 29506},
{"CANAL+", 29100},
{"CANAL+ AZUL", 29101},
{"CANAL+ ROJO", 29102},
{"CANAL+ VERT", 8208},
{"CANAL+ 16/9", 8204},
{"CANAL+ 16|9", 29024},
{"C+ROOD", 4005},
{"Cin Cinmas 1", 8206},
{"Cin Cinmas 2", 8002},
{"Cin Cinmas 3", 8003},
{"CINE CLASSICS", 8709},
{"CINE CINEMA 16/9", 8301},
{"cinecinemas", 4008},
{"CINECLASSICS", 29203},
{"CINEMAN-A AZUL", 29501},
{"CINEMAN-A ROJO", 29605},
{"CINEMAN-A", 29500},
{"KIOSQUE", 8704},
{"K1", 8401},
{"K2", 8402},
{"K3", 8403},
{"K4", 8404},
{"K5", 8405},
{"K6", 8406},
{"K7", 8407},
{"K7", 8408},
{"K9", 8409},
{"K11", 8411},
{"K12", 8412},
{"TAQUILLA 1", 29206},
{"TAQUILLA 2", 29207},
{"TAQUILLA 3", 29502},
{"TAQUILLA 4", 29503},
{"TAQUILLA 5", 29504},
{"TAQUILLA 6", 29301},
{"TAQUILLA 7", 29302},
{"TAQUILLA 8", 29303},
{"TAQUILLA 11", 29316},
{"TAQUILLA 12", 29610},
{"TAQUILLA 13", 29402},
{"TAQUILLA 14", 29212},
{"TAQUILLA 16|9", 29606},
//  Music
{"40 LATINO", 29031},
{"40 TV", 29110},
{"CANAL+ JAUNE", 8203},
{"CLASSICA", 15},
{"GOLDSTAR TV", 518},
{"MCM 2", 8305},
{"MCM AFRICA", 8307},
{"MCM", 8302},
{"MTV 2", 28649},
{"MTV 6", 28641},
{"MTV Base", 28645},
{"MTV", 28643},
{"MTV F", 28642},
{"MTV Hits", 28644},
{"MUZZIK", 8007},
{"RFM TV", 17008},
{"TMF", 5015},
{"VH1 Classic", 28647},
{"VH1", 28646},
{"Video Italia", 12220},
{"VIVA ZWEI", 12120},
{"VIVA", 12732},
{"ZIK'/XXL", 17004},
//  News
{"BBC WORLD", 17007},
{"Bloomberg TV", 12160},
{"CNBC", 28010},
{"CNBC", 35},
{"CNBC-NBC", 29202},
{"CNN", 28512},
{"DW-tv", 9005},
{"EuroNews", 28015},
{"FOX NEWS", 29032},
{"N24", 47},
{"n-tv", 12730},
{"Sky News", 3995},
//  Netherlands
{"NED1", 4011},
{"NED2", 4012},
{"NED3", 4013},
{"NET5", 5004},
{"RTL4", 2004},
{"RTL5", 2005},
{"SBS6", 5005},
{"V8/Fox Kids", 5020},
{"Yorin", 5010},
//  Porn
{"BEATE-UHSE.TV", 21},
{"Blue Movie1", 513},
{"Blue Movie2", 514},
{"K10", 8410},
{"TAQUILLA X", 29213},
{"TAQUILLA X", 29602},
{"TAQUILLA XX", 29607},
{"X-ZONE", 4009},
//  Sports
{"C+BLAUW", 4006},
{"DSF", 900},
{"EUROSPORT", 8101},
{"Eurosport", 28009},
{"EUROSPORT", 29310},
{"EUROSPORTNEWS", 29037},
{"PATHE SPORT|", 8009},
{"PREMIERE SPORT 1", 17},
{"PREMIERE SPORT 2", 27},
{"SUPERDOM", 26},
//  French
{"13EME RUE", 8703},
{"AB 1", 17001},
{"AB MOTEURS", 17000},
{"ACTION", 17010},
{"ALLOCINE TV", 8308},
{"ANIMAUX", 17002},
{"ARTE", 9009},
{"BLOOMBERG TV", 8004},
{"CA TV", 8610},
{"CANAL+", 8201},
{"CANAL+ BLEU", 8202},
{"CANAL J", 8108},
{"CANAL JIMMY", 8006},
{"CANALCLUB", 8812},
{"Cartoon Network", 28511},
{"CLUB TELEACHAT", 8303},
{"COMEDIE !", 8702},
{"CONTACT TV", 8804},
{"CUISINE.TV", 8112},
{"DEMAIN !", 8701},
{"DISNEY CHANNEL", 8207},
{"DT CSAT 10", 9159},
{"ENCYCLOPEDIA", 17003},
{"ESCALES", 17005},
{"EURONEWS", 8505},
{"FORUM", 8707},
{"FRANCE 2", 8801},
{"FRANCE 3", 8802},
{"GAME ONE", 8717},
{"i TELEVISION", 8010},
{"KTO", 8304},
{"LA CHAINE METEO", 8008},
{"LA CINQUIEME", 8501},
{"LaCha/neHistoire", 17006},
{"LCI", 8107},
{"LCP", 8506},
{"L'EQUIPE TV", 8706},
{"LibertyTV.com", 12280},
{"MANGAS", 17011},
{"MONTECARLO TMC", 8102},
{"Motors TV", 12300},
{"NAT GEOGRAPHIC", 8310},
{"PAD", 8211},
{"PARIS PREMIERE", 8104},
{"PLANETE 2", 8507},
{"PLANETE", 8103},
{"PMU sur Canal+", 8210},
{"RFO SAT", 8708},
{"SANTE - VIE", 8110},
{"SEASONS", 8001},
{"TCM", 28515},
{"TEST CDN 1", 8616},
{"TEST CDN 3", 8627},
{"TiJi", 8309},
{"TV 5", 9001},
{"TV BREIZH", 8502},
{"TV Puls", 20601},
{"TV5 Europe", 12240},
{"VOYAGE", 8105},
//  Spanish
{"ANDALUC-A TV", 29011},
{"Bloomberg", 12721},
{"CALLE 13", 29609},
{"Canal Canarias", 29700},
{"Cartoon Network", 29314},
{"CNN+", 29020},
{"DISCOVERY", 29116},
{"DISNEY CHANNEL", 29111},
{"DOCUMAN-A", 29200},
{"ESTILO", 29305},
{"ETB", 29035},
{"FASHION TV", 29115},
{"FOX KIDS", 29209},
{"FOX", 29507},
{"MOSAICO", 29315},
{"M+TEO", 29014},
{"Nat Geo Channel", 29034},
{"NICK-PARAMOUNT", 29312},
{"RTPI", 9006},
{"SEASONS", 29204},
{"TAQUILLA 0", 29205},
{"TCM.", 28516},
{"TVC INT.", 29701},
{"VIAJAR", 29306},
//  Miscellaneous
{"Alice", 12200},
{"Canal Algerie", 9008},
{"CANALPRO TV", 8516},
{"ESC1 - EGYPTE", 9003},
{"FASHION TV.COM", 17009},
{"Home Shopping Euro", 45},
{"Home Shopping Euro", 40},
{"Kabel 1 Austria", 20004},
{"Kabel 1 Schweiz", 20003},
{"Polonia 1/Top Sho", 20366},
{"ProSieben A", 20002},
{"ProSieben Schweiz", 20001},
{"QVC GERMANY", 12100},
{"RAI 1", 9004},
{"REAL MADRID TV", 29019},
{"RealityTV", 20309},
{"RTL TELE Letzebuerg", 3994},
{"RTM - MAROC", 9002},
{"SWR BW", 28113},
{"SWR RP", 28231},
{"Super 1", 20364},
{"Travel", 28001},
{"TV7", 9007},
{"TV-NIEP II", 12740},
{"Wishline", 12320}
};
  
#endif //_CHANNELMAP__H
