/*
 * Analogue TV Player plugin for VDR
 *
 * Copyright (C) 2003, 2005 Andreas Kool <akool@gmx.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 * Version: $Id: memcpy.h,v 1.5 2005/01/09 18:16:09 akool Exp $
 * Release: $Name:  $
 *
 */

/*****************************************************************************
 * memcpy.h: functions and definitions of the MMX/MMX2/SSE optimized versions
 * of memcpy
 *****************************************************************************
 * Copyright (C) 2001 Keuleu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************
 *
 * Original code:
 * 
 * Copyright (C) 2000-2001 the xine project
 * 
 * This file is part of xine, a unix video player.
 * 
 *****************************************************************************/
#ifndef _MEMCPY_H_
#define _MEMCPY_H_

/* optimized/fast memcpy */
extern void *(* fast_memcpy)(void *to, const void *from, size_t len);
/*
void *linux_kernel_memcpy(void *to, const void *from, size_t len);
void *mmx_memcpy(void *to, const void *from, size_t len);
void *mmx2_memcpy(void *to, const void *from, size_t len);
void *sse_memcpy(void *to, const void *from, size_t len);
*/
/* benchmark available memcpy methods */
int probe_fast_memcpy(int method);

enum {
  MEMCPY_PROBE = 0,
  MEMCPY_GLIBC,
  MEMCPY_KERNEL,
  MEMCPY_MMX,
  MEMCPY_MMXEXT,
  MEMCPY_SSE
};

#endif // _MEMCPY_H_
